@media (orientation: portrait) {
    header>nav {
        display: flex;
        position: absolute;
        top: 0%;
        left: 50%;
        transform: translate(-50%, -100%);
        visibility: hidden;
        flex-direction: column;
        margin: auto;
        border-radius: 2px;
        max-width: 100%;
        width: 500px;
        max-width: 75vw;
        border: solid 1px rgba(0, 0, 0, 0.67);
        backdrop-filter: blur(10px);
        background-color: rgb(219, 219, 219);
        text-align: left;
        transition: all 0.6s ease-in-out;
    }

    header>nav>form {
        transition: all 0.4s ease-in-out;
        opacity: 1;
        top: 100%;
        background-color: #a8a8a8;
        margin: auto;
        width: 100%;
        align-items: center;
        align-content: center;
        display: block;
    }

    #payfast-form-info {
        position: absolute;
        opacity: 0;
        left: 0;
        top: 100%;
        background-color: #a8a8a8;
        transition: all 0.2s ease-in-out;
        -webkit-transition: all 0.2s ease-in-out;
        z-index: -1;
        top: 0%;
        margin: auto;
    }

    a#coffee>img {
        height: 25px;
        width: 25px;
    }

    #payfast-form-info.on {
        transition: all 0.4s ease-in-out;
        -webkit-transition: all 0.4s ease-in-out;
        opacity: 1;
        top: 100%;
        transform: translateY(-100%);
        -webkit-transform: translateY(-100%);
        z-index: 5;
        background-color: #a8a8a8;
        margin: auto;
        width: 100%;
        align-items: center;
        align-content: center;
        display: block;
    }

    header.open>nav {
        height: auto;
        transform: translate(-50%, 0%);
        -webkit-transform: translate(-50%, 0%);
        -webkit-transition: all 0.4s ease-in-out;
        top: calc(10vh + 1rem);
        opacity: 1;
        visibility: visible;
        transition: all 0.45s ease-in-out;
    }

    header.open>button>svg#menu-button {
        opacity: 0;
    }


    header.open>nav>a:has(img):hover>img {
        opacity: 0;
        display: none;

    }

    header.open>nav>a:has(img):hover {
        background-color: transparent;
    }

    header.open>nav>a:has(img):hover>p {
        position: relative;
        opacity: 1;
        visibility: visible;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }


    .section-inner-heading>h2 {
        position: relative;
        top: 0vh;
        left: 0;
        height: 7vh;
        max-height: 10vh;
        max-width: 80vw;
        font-size: 1.5rem;
        margin-bottom: 0;
    }

    header>button>svg#cross-button {
        opacity: 0;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        transition: all 0.3s ease-out;
    }

    header>button>svg#menu-button {
        opacity: 1;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        transition: all 0.3s ease-out;
    }

    header.open>button>svg#cross-button {
        opacity: 1;
    }

    header.open~main {
        opacity: 0.37;
    }

    #home {
        height: fit-content;
        max-width: unset;
        width: 100vw;
    }

    #home>.section-inner>.section-inner-content>a {
        font-size: 0.9rem;
        max-width: 38.5vw;
        max-height: unset;
        height: 2rem;
        align-content: center;
        text-align: center;
        margin: auto;
    }

    #home>.section-inner>.section-inner-content:has(a) {
        display: flex;
        align-items: center;
        align-content: center;
        gap: 1vw;
        justify-content: space-between;

        height: 3rem;
    }

    #svg-button-cont {
        margin: auto;
        position: relative;
        bottom: -10vh;
        left: 50%;
    }

    header>nav>a>p {
        text-align: left;
        font-size: 0.85rem;
        margin: auto;
        padding: 1rem;
    }

    #toggle-nav {
        all: unset;
        position: relative;
        top: 0%;
        right: 5vw;
        width: 40px;
        height: 40px;
        background: whitesmoke;
        border: whitesmoke;
        cursor: pointer;
        transition: all 0.3s ease-in-out;
        opacity: 1;
        visibility: visible;
        cursor: pointer;
        margin: auto;
        margin-right: 0;
    }


    button.button#toggle-nav:hover {
        background: rgba(0, 0, 0, 0.1);
    }

    .section-inner-heading {
        position: relative;
        top: 0;
        left: 0;
        margin: auto;
        max-height: 15vh;
        height: 10vh;
        max-width: 80vw;
    }

    .section-inner-heading>p {
        position: relative;
        top: 0vh;

        height: 3vh;
        max-height: 5vh;
        max-width: 80vw;
        font-size: 0.70rem;
        margin-bottom: 0;
    }

    #home>.section-inner {

        height: fit-content;
    }

    @media (max-width:355px) {
        #home>.section-inner {
            top: 50%;
            height: fit-content;
        }

        #home>.section-inner>.section-inner-content>h1 {
            font-size: 1.3rem;
        }

        #home>.section-inner>.section-inner-content>button {
            font-size: 0.5rem;
            height: fit-content;
            padding: auto;
            padding-left: 0.1rem;
            text-align: left;
            max-width: 35vw;
        }

        #home>.section-inner>.section-inner-content>h3 {
            font-size: 0.9rem;
        }

        #home>.section-inner>.section-inner-content>p>code {
            font-size: 0.7rem;
        }


        #home>.section-inner>.section-inner-content>p {
            font-size: 0.8rem;
        }

        #home>.section-inner>.section-inner-content>.section-inner-content-text>code {
            font-size: 0.9rem;
        }
    }


    .section-inner {
        position: absolute;
        top: 15vh;
        display: flex;
    }

    #projects {
        max-height: unset;
        height: 260vh;
        width: 95vw;
        min-height: max-content;
        overflow: visible;
    }

    #projects>.section-inner-heading {
        max-width: 80vw;
        top: 0;
        max-height: 15vh;
        height: 10vh;
    }

    #projects>.section-inner {
        position: absolute;
        top: 16vh;
        display: flex;
        height: 235vh;
        gap: 2vh;
        flex-direction: column;
        justify-content: space-evenly;
    }

    #projects>.section-inner>.section-inner-content {
        position: relative;
        max-height: unset;
        top: 5vh;
        gap: 1vh;
        height: 45vh;
        width: 450px;
        font-size: 0.8rem;
        max-width: calc(85vw - 2rem);
        display: flex;
        flex-direction: column;
        justify-content: space-around;

    }

    #tech-stack {
        height: 72vh;
        width: 100vw;
        overflow: visible;
    }

    #tech-stack>.section-inner-heading {
        position: relative;
        top: 0;
        height: 15vh;
        width: 80vw;
    }

    #tech-stack>.section-inner {
        max-height: unset;
        max-width: 95vw;
        position: relative;
        top: 0vh;
        width: 100%;
        height: 55vh;
        display: grid;
        grid-template-columns: 45vw 45vw;
        grid-template-rows: 25vh 25vh;
        grid-template-areas:
            "a b"
            "c z";
        grid-auto-flow: row dense;
        gap: 3vh;
        margin: 0;
        margin-top: 0;
        margin-bottom: 0;

    }

    .tech-stack-content {
        height: 40px;
    }

    .tech-stack-content-row1 {
        display: flex;
        justify-content: space-between;
        margin: auto;
        align-items: center;
        align-content: center;
        gap: 1vw;
        width: 100%;
        width: 42.5vw;
        max-height: 35px;

    }

    img.tech-stack-content-img {
        width: 30px;
        height: 30px;
        margin: auto;
        margin-right: 1rem;

    }

    .tech-stack-content>.tech-stack-content-row1>h4 {
        font-size: 0.9rem;
        font-weight: 600;
        font-size: 1rem;
        width: calc(20vw - 32px);
        margin-left: 1rem;

    }


    #tech-stack>.section-inner>.section-inner-content {
        position: relative;
        margin: auto;
        top: 0;
        margin-top: 0;
        margin-bottom: 0;

        max-width: 80vw;
        width: 100%;
        max-height: 30vh;
    }

    #testimonials {
        top: 0;
        left: 0;
        max-width: 95vw;
        max-height: 125vh;
        height: 130vh;
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        margin: auto;
    }

    #testimonials>.section-inner-heading {
        position: relative;
        top: 0vh;
        max-height: 15vh;
        height: 15vh;
        max-width: 90vw;
    }


    #testimonials>.section-inner {
        position: relative;
        top: 0;
        width: 100%;
        left: 50%;
        display: flex;
        flex-direction: column;
        gap: 1vh;
        margin: auto;
        height: auto;
    }


    #testimonials>.section-inner>.section-inner-content {
        position: relative;
        top: 0;
        margin: auto;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
        text-align: left;
        border: solid rgba(0, 0, 0, 0.67) 1px;
        height: 35vh;

        width: 95%;
        cursor: pointer;
        border-radius: 5px;

        font-size: 0.7rem;
    }

    #testimonials>.section-inner>.section-inner-content:hover {
        cursor: pointer;
    }

    #testimonials>.section-inner>.section-inner-content>div:not(#section-inner-content-section3) {
        padding: 0.3rem;
        margin: auto;
        display: flex;
        justify-content: space-between;
        max-width: 100%;
        font-size: 0.7rem;
    }

    .section-inner-content-section {
        margin: auto;
        margin: 0;
        font-size: 0.7rem;
    }

    #section-inner-content-section3 {
        justify-content: space-between;
        margin-left: 0;
        max-width: 400px;
    }

    .testimonials-inner-content-section-client-img {
        margin: auto;
        margin-left: 0.5vw;
        max-width: 40px;
    }

    .testimonials-inner-content-section-client-details {
        text-align: left;
        max-width: 80%;
    }

    @media (min-width:350px) {

        #about>.section-inner>.section-inner-content,
        #about>.section-inner>.section-inner-content>p {
            font-size: 0.8rem;
        }

        .section-inner-content-card {
            max-width: 25vw;
            height: 2.5rem;
            padding: 0;

        }

        .section-inner-content-card>strong {
            font-size: 1.1rem;

        }

        .section-inner-content-card>span {
            font-size: 0.9rem;
        }

        .section-inner-content:has(#download-resume-button) {
            display: flex;
            align-items: center;
            align-content: center;
            justify-content: center;
            padding: 1%;
        }

        #download-resume-button {
            position: relative;
            left: 0;
            top: 0;
            transform: unset;
            font-size: 0.8rem;
            width: 85px
        }
    }

    @media (min-width:500px) {

        #projects {
            max-height: unset;
            height: 175vh;
            min-height: max-content;
            overflow: visible;
        }

        #projects>.section-inner {
            position: absolute;
            max-height: unset;
            top: 0vh;
            left: 50%;
            gap: 1vw;
            max-width: calc(99vw - 2rem);
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(30vw, 43vw));
            grid-template-rows: repeat(auto-fill, 50vh);
            grid-auto-flow: row dense;
            justify-content: space-around;
            width: 99vw;
            margin: auto;
        }

        #projects>.section-inner>.section-inner-content {
            position: relative;
            max-height: unset;
            min-width: unset;
            padding: 0.5rem 1rem;
            width: 90%;
            top: 0vh;
            gap: 2vh;
            height: 85%;
            max-width: calc(40.5vw - 1rem);
            max-height: 50vh;
            display: flex;
            flex-direction: column;
            justify-content: space-around;
            margin: auto;
        }

    }

    #tech-stack {
        height: 120vh;
        max-height: 200vh;
        width: 100vw;
        overflow: visible;
    }

    #tech-stack>.section-inner {
        max-height: unset;
        max-width: 99vw;
        position: relative;
        top: 0vh;
        width: 100%;
        height: 105vh;
        max-height: 180vh;
        display: grid;
        grid-template-columns: 90vw;
        grid-template-rows: repeat(4, 23vh);
        grid-template-areas:
            "a"
            "b"
            "c"
            "z";
        grid-auto-flow: row dense;
        gap: 2.5vh;
        margin: 0;

        margin-top: 0;
        margin-bottom: 0;
        left: 50%;

    }

    #tech-stack>.section-inner>.section-inner-content {
        position: relative;
        margin: auto;

        max-width: 90vw;
        width: 100%;
        height: 23vh;
        max-height: 45vh;
    }

    .section-inner-content-heading {
        height: 100%;
        width: 11vw;
        font-size: 0.7rem;
    }

    img.tech-stack-content-img> {
        width: 20px;
        height: 20px;
        margin: 0;
        margin-right: 0%;
    }

    .tech-stack-content-row1 {
        display: flex;
        justify-content: space-between;
        margin: auto;
        align-items: center;
        align-content: center;
        gap: 1vw;
        width: 95%;
        width: unset;
        min-width: 75vw;
        max-height: 35px;
    }

    .tech-stack-content>.tech-stack-content-row1>h4 {
        font-size: 1rem;
        font-weight: 600;
        margin-left: 1rem;
    }

    .section-inner-content-body {
        margin-left: 0;
    }


}